:root {
    --color: #E21C21;
    --color-dark: #01203e;
    --color-hover: #5bc9de;
    --color-grey: #e5e5e5;
}

@media screen and (max-width: 1024px) {
    .gallery-block {
        width: calc(50% - 20px);
    }
} 

@media screen and (max-width: 768px) {
    .header__banner {
        padding-top: 55px;
    }

    .header__phone {
        font-size: 17px;
        width: 100%;
        text-align: center;
        top: 20px;
    }

    .header__phone span {
        color: var(--color-dark);
    }

    .header__img {
        position: static;
        width: 100%;
        max-width: 100%;
        height: auto;
        margin-bottom: 10px;
    }

    .header__content {
        max-width: 100%;
    }

    .header__title {
        text-align: center;
        margin-bottom: 15px;
    }

    .header__title h1 {
        font-size: 28px;
    }

    .header__title span {
        font-size: 24px;
    }

    .header__desc {
        text-align: center;
        font-size: 21px;
        margin: 0 auto;
        margin-bottom: 15px;
    }

    .header__text {
        display: none;
    }

    .header__nav {
        display: none;
        position: fixed;
        z-index: 9998;
        background-color: #fff;
        height: 100%;
        width: 100%;
        margin: 0;
        top: 0;
        left: 0;
        padding: 40px;
        padding-top: 80px;
        box-sizing: border-box;
    }

    .header__nav.active {
        display: block;
    }

    .main-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .main-menu__item {
        font-size: 16px;
        font-weight: 400;
        margin: 8px 0;
        letter-spacing: 2px;
    }

    .btn-menu {
        position: relative;
        display: block;
        padding: 0;
        background-color: #fff;
        border: 1px solid #000;
        width: 48px;
        height: 49px;
        border-radius: 5px;
        position: fixed;
        top: 65px;
        right: 20px;
        z-index: 9999;
    }

    .btn-menu::after, .btn-menu::before {
        content: "";
        display: block;
        width: 60%;
        height: 3px;
        background-color: #000;
        position: absolute;
        left: 9px;
        bottom: 13px;
        transition: all 0.3s;
    }

    .btn-menu::after {
        top: 13px;
    }

    .btn-menu span {
        display: block;
        width: 60%;
        height: 3px;
        background-color: #000;
        position: absolute;
        left: 9px;
        top: 22px;
        transition: width 0.3s;
    }

    .btn-menu.active {
        background-color: #4f2d00;
    }

    .btn-menu.active span, .btn-menu.active::before, .btn-menu.active::after {
        background-color: #fff;
    }

    .btn-menu.active span {
        width: 0;
    }

    .btn-menu.active::before {
        transform: rotate(-45deg);
        bottom: 22px;
    }

    .btn-menu.active::after {
        transform: rotate(45deg);
        top: 22px;
    }

    /* main page */

    .main {
        padding-top: 20px;
    }

    .block-card {
        width: 100%;
        margin: 0 0 40px 0;
        padding-bottom: 15px;
    }

    .block-card__title {
        margin-top: 0;
        text-align: center;
        font-size: 18px;
        max-width: 115px;
    }

    .block-card__text {
        margin-top: 15px;
    }

    .block-card__footer {
        position: static;
    }

    .block-card__price {
        position: absolute;
        background: #fff;
        top: 201px;
        left: 0;
        z-index: 2;
        padding: 0 20px;
    }

    .block-card__price .lb, .block-card__price .price {
        display: inline-block;
    }

    .block-card__price .price {
        font-size: 23px;
    }

    .block-card__btn {
        position: absolute;
        bottom: auto;
        top: 245px;
        right: 20px;
        z-index: 2;
    }

    .card-list {
        flex-direction: column;
        margin: 0;
    }



    .maps {
        display: none;
    }

    /* inputs */

    input {
        line-height: 43px;
        height: 43px;
    }

    textarea {
        padding: 10px 5px;
    }

    .sec-title {
        font-size: 18px;
    }

    /* footer */

    .footer, .footer__form form {
        flex-direction: column;
    }

    .footer__mob-text {
        display: block;
        text-align: justify;
        font-size: 13px;
        line-height: 1.4;
        margin-bottom: 20px;
    }

    .footer__form {
        margin-right: 0;
        width: 100%;
    }

    .footer__form .sec-title {
        color: var(--color);
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }

    .footer__form p {
        text-align: center;
    }

    .footer__form form {
        margin-top: 0;
    }

    .footer__form form input {
        margin-bottom: 10px;
    }

    .footer__form form .btn {
        margin-top: 10px;
    }

    .footer__info {
        margin-top: 30px;
        max-width: 100%;
        width: 100%;
    }

    .footer__info .sec-title {
        color: var(--color);
        text-align: center;
        max-width: 100%;
        font-size: 20px;
        margin-top: 0;
    }

    .footer__info .sec-title + p {
        text-align: justify;
    }

    .footer__info .info-block {
        flex-direction: column;
        margin-top: 0;
    }

    .info-block {
        position: relative;
        padding: 20px 10px;
    }

    .info-block__col {
        width: 100%;
        padding: 0;
        text-align: center;
    }

    .info-block__col ul {
        max-width: 100%;
        text-align: left;
    }

    .info-block .social {
        display: none;
    }

    .footer__copy {
        padding-top: 15px;
        font-size: 11px;
    }

    /* page */

    .page, .page-gallery, .page-contacts {
        margin-top: 0;
    }

    .page-title {
        margin-top: 0;
        text-align: center;
        font-size: 26px;
    }

    .page-content {
        flex-direction: column;
    }

    .page-content-main {
        padding-right: 0;
    }

    .page-content-aside {
        width: 100%;
    }

    /* gallery */

    .page-gallery .page-title {
        display: none;
    }

    .gallery-block {
        width: calc(100% - 20px);
    }

    /* contacts */

    .page-contacts-title {
        margin-top: 0;
    }

    .contact-form {
        margin-top: 30px;
    }

    .contact-form__title {
        font-size: 18px;
        color: var(--color);
    }

    .contact-form__inputs input, .contact-form__inputs .select {
        width: 100%;
        margin-bottom: 10px;
    }

    .contact-block {
        flex-direction: column;
        margin-bottom: 30px;
    }

    .contact-block__title {
        font-size: 27px;
    }

    .contact-block__title:after {
        margin: 30px auto;
    }

    .contact-block__title span {
        font-size: 27px;
    }

    .contact-block__col {
        padding: 40px 20px;
    }

    .btn-mob-phone {
        display: flex;
        align-items: center;
        justify-content: center;
        position: fixed;
        z-index: 2;
        right: 15px;
        bottom: 15px;
        width: 60px;
        height: 60px;
        padding: 0;
        font-size: 0;
        border-radius: 50%;
        box-shadow: 0px 2px 8px 0px rgba(0,0,0,0.3);
        background-color: #63c956;
    }
    
    .btn-mob-phone svg {
        height: 20px;
        width: 28px;
        fill: #fff;
    }
    
    .btn-top {
        display: flex;
        align-items: center;
        justify-content: center;
        position: fixed;
        z-index: 2;
        bottom: 100px;
        width: 52px;
        height: 52px;
        right: -100%;
        padding: 0;
        border: 1px solid #fff;
        background-color: rgba(0, 0, 0, 0.3);
        transition: right 0.5s;
    }
    
    .btn-top.is-show {
        right: 0;
    }
    
    .btn-top svg {
        fill: #fff;
    }
}